HtmlListElement (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.html
Class HtmlListElement

    java.lang.Object
      com.bbn.openmap.util.html.HtmlListElement

All Implemented Interfaces:
  ContainerElement, Element

    public class HtmlListElement

extends java.lang.Object
implements ContainerElement

A container for a list body

Constructor Summary
`HtmlListElement()` Construct a new ListElement
`HtmlListElement(Element header)`
`HtmlListElement(java.lang.String s)`

Method Summary
`void` | `addElement(Element e)` Add an element to the end of the list
`void` | `addElement(java.lang.String s)` Add an element to the end of the list
`void` | `generate(java.io.Writer out)` convert representation to html and write it out
`void` | `setTitleElement(Element e)`
`void` | `setTitleElement(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlListElement

    public HtmlListElement()

  Construct a new ListElement

### HtmlListElement

    public HtmlListElement(java.lang.String s)

### HtmlListElement

    public HtmlListElement(Element header)

Method Detail

### setTitleElement

    public void setTitleElement(Element e)

### setTitleElement

    public void setTitleElement(java.lang.String s)

### generate

    public void generate(java.io.Writer out)
                  throws java.io.IOException

  Description copied from interface: `Element`
  convert representation to html and write it out

  Specified by:
    `generate` in interface `Element`
  Parameters:
    `out` - the output Writer
  Throws:
    `java.io.IOException` - an IO error occurred accessing out

### addElement

    public void addElement(Element e)

  Add an element to the end of the list

  Specified by:
    `addElement` in interface `ContainerElement`
  Parameters:
    `e` - the element to add

### addElement

    public void addElement(java.lang.String s)

  Add an element to the end of the list

  Specified by:
    `addElement` in interface `ContainerElement`
  Parameters:
    `s` - the string to add

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details